* [ptxdist] [PATCH] linux-firmware: Version bump. 20231111 -> 20231211
@ 2023-12-12 19:52 Christian Melki
2024-01-10 17:26 ` Michael Olbrich
0 siblings, 1 reply; 2+ messages in thread
From: Christian Melki @ 2023-12-12 19:52 UTC (permalink / raw)
To: ptxdist
A large mix of radio, GPU and other updates.
Nvidia GSP firmwares etc.
* Remove patchset. rdfind was made optional as they
quickly realized that not all distros carry rdfind.
But this requires a new install target. install-nodedup.
* Add license for PowerVR from Imagination Technologies.
* Add license for Airoha, a 2.5G Eth. PHY.
Signed-off-by: Christian Melki <christian.melki@t2data.com>
---
...-Don-t-depend-on-exotic-binaries-tha.patch | 29 -------------------
patches/linux-firmware-20231111/series | 4 ---
rules/linux-firmware.make | 13 +++++++--
3 files changed, 11 insertions(+), 35 deletions(-)
delete mode 100644 patches/linux-firmware-20231111/0001-copy-firmware.sh-Don-t-depend-on-exotic-binaries-tha.patch
delete mode 100644 patches/linux-firmware-20231111/series
diff --git a/patches/linux-firmware-20231111/0001-copy-firmware.sh-Don-t-depend-on-exotic-binaries-tha.patch b/patches/linux-firmware-20231111/0001-copy-firmware.sh-Don-t-depend-on-exotic-binaries-tha.patch
deleted file mode 100644
index de5fd03c0..000000000
--- a/patches/linux-firmware-20231111/0001-copy-firmware.sh-Don-t-depend-on-exotic-binaries-tha.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-From: Christian Melki <christian.melki@t2data.com>
-Date: Wed, 15 Nov 2023 08:52:11 +0100
-Subject: [PATCH] copy-firmware.sh: Don't depend on exotic binaries that aren't
- needed.
-
-We don't need this to do the install. I don't know why
-there is a hard requirement on it.
-
-Signed-off-by: Christian Melki <christian.melki@t2data.com>
----
- copy-firmware.sh | 5 -----
- 1 file changed, 5 deletions(-)
-
-diff --git a/copy-firmware.sh b/copy-firmware.sh
-index f9b1f0ffc1c3..cca3913bd944 100755
---- a/copy-firmware.sh
-+++ b/copy-firmware.sh
-@@ -69,11 +69,6 @@ if [ -z "$destdir" ]; then
- exit 1
- fi
-
--if ! which rdfind 2>/dev/null >/dev/null; then
-- echo "ERROR: rdfind is not installed"
-- exit 1
--fi
--
- # shellcheck disable=SC2162 # file/folder name can include escaped symbols
- grep -E '^(RawFile|File):' WHENCE | sed -E -e 's/^(RawFile|File): */\1 /;s/"//g' | while read k f; do
- test -f "$f" || continue
diff --git a/patches/linux-firmware-20231111/series b/patches/linux-firmware-20231111/series
deleted file mode 100644
index 587287c2c..000000000
--- a/patches/linux-firmware-20231111/series
+++ /dev/null
@@ -1,4 +0,0 @@
-# generated by git-ptx-patches
-#tag:base --start-number 1
-0001-copy-firmware.sh-Don-t-depend-on-exotic-binaries-tha.patch
-# fb22468b2b68b60dc709a9c4ae5915e4 - git-ptx-patches magic
diff --git a/rules/linux-firmware.make b/rules/linux-firmware.make
index 1671677e1..0ab730d3f 100644
--- a/rules/linux-firmware.make
+++ b/rules/linux-firmware.make
@@ -14,8 +14,8 @@ PACKAGES-$(PTXCONF_LINUX_FIRMWARE) += linux-firmware
#
# Paths and names
#
-LINUX_FIRMWARE_VERSION := 20231111
-LINUX_FIRMWARE_MD5 := 4e1b62642d8882781d66847133d2f0f0
+LINUX_FIRMWARE_VERSION := 20231211
+LINUX_FIRMWARE_MD5 := 939d5a5933c9fc871a17624930f7b54b
LINUX_FIRMWARE := linux-firmware-$(LINUX_FIRMWARE_VERSION)
LINUX_FIRMWARE_SUFFIX := tar.gz
LINUX_FIRMWARE_URL := $(call ptx/mirror, KERNEL, kernel/firmware/$(LINUX_FIRMWARE).$(LINUX_FIRMWARE_SUFFIX))
@@ -59,12 +59,14 @@ LINUX_FIRMWARE_LICENSE_FILES := \
file://LICENCE.xc5000;md5=1e170c13175323c32c7f4d0998d53f66 \
file://LICENCE.open-ath9k-htc-firmware;md5=1b33c9f4d17bc4d457bdb23727046837 \
file://LICENCE.nvidia;md5=4428a922ed3ba2ceec95f076a488ce07 \
+ file://LICENSE.powervr;md5=83045ed2a2cda15b4eaff682c98c9533 \
file://LICENCE.e100;md5=ec0f84136766df159a3ae6d02acdf5a8 \
file://LICENCE.ralink_a_mediatek_company_firmware;md5=728f1a85fd53fd67fa8d7afb080bc435 \
file://LICENCE.ti-keystone;md5=3a86335d32864b0bef996bee26cc0f2c \
file://LICENSE.amd-sev;md5=e750538791a8be0b7249c579edefb035 \
file://LICENSE.amdgpu;md5=a2589a05ea5b6bd2b7f4f623c7e7a649 \
file://LICENSE.nxp;md5=cca321ca1524d6a1e4fed87486cd82dc \
+ file://LICENSE.airoha;md5=fa3dedb960e2673aea51aa509f7b537d \
file://LICENCE.agere;md5=af0133de6b4a9b2522defd5f188afd31 \
file://LICENCE.siano;md5=4556c1bf830067f12ca151ad953ec2a5 \
file://LICENCE.broadcom_bcm43xx;md5=3160c14df7228891b868060e1951dfbc \
@@ -112,6 +114,13 @@ endif
LINUX_FIRMWARE_SELECTED_FIRMWARES = $(call remove_quotes, $(PTXCONF_LINUX_FIRMWARE_SELECTED_FIRMWARES))
+# ----------------------------------------------------------------------------
+# Prepare
+# ----------------------------------------------------------------------------
+
+LINUX_FIRMWARE_INSTALL_OPT := \
+ install-nodedup
+
# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------
--
2.34.1
^ permalink raw reply [flat|nested] 2+ messages in thread
* Re: [ptxdist] [PATCH] linux-firmware: Version bump. 20231111 -> 20231211
2023-12-12 19:52 [ptxdist] [PATCH] linux-firmware: Version bump. 20231111 -> 20231211 Christian Melki
@ 2024-01-10 17:26 ` Michael Olbrich
0 siblings, 0 replies; 2+ messages in thread
From: Michael Olbrich @ 2024-01-10 17:26 UTC (permalink / raw)
To: Christian Melki; +Cc: ptxdist
On Tue, Dec 12, 2023 at 08:52:10PM +0100, Christian Melki wrote:
> A large mix of radio, GPU and other updates.
> Nvidia GSP firmwares etc.
>
> * Remove patchset. rdfind was made optional as they
> quickly realized that not all distros carry rdfind.
> But this requires a new install target. install-nodedup.
>
> * Add license for PowerVR from Imagination Technologies.
>
> * Add license for Airoha, a 2.5G Eth. PHY.
>
> Signed-off-by: Christian Melki <christian.melki@t2data.com>
> ---
> ...-Don-t-depend-on-exotic-binaries-tha.patch | 29 -------------------
> patches/linux-firmware-20231111/series | 4 ---
> rules/linux-firmware.make | 13 +++++++--
> 3 files changed, 11 insertions(+), 35 deletions(-)
> delete mode 100644 patches/linux-firmware-20231111/0001-copy-firmware.sh-Don-t-depend-on-exotic-binaries-tha.patch
> delete mode 100644 patches/linux-firmware-20231111/series
>
> diff --git a/patches/linux-firmware-20231111/0001-copy-firmware.sh-Don-t-depend-on-exotic-binaries-tha.patch b/patches/linux-firmware-20231111/0001-copy-firmware.sh-Don-t-depend-on-exotic-binaries-tha.patch
> deleted file mode 100644
> index de5fd03c0..000000000
> --- a/patches/linux-firmware-20231111/0001-copy-firmware.sh-Don-t-depend-on-exotic-binaries-tha.patch
> +++ /dev/null
> @@ -1,29 +0,0 @@
> -From: Christian Melki <christian.melki@t2data.com>
> -Date: Wed, 15 Nov 2023 08:52:11 +0100
> -Subject: [PATCH] copy-firmware.sh: Don't depend on exotic binaries that aren't
> - needed.
> -
> -We don't need this to do the install. I don't know why
> -there is a hard requirement on it.
> -
> -Signed-off-by: Christian Melki <christian.melki@t2data.com>
> ----
> - copy-firmware.sh | 5 -----
> - 1 file changed, 5 deletions(-)
> -
> -diff --git a/copy-firmware.sh b/copy-firmware.sh
> -index f9b1f0ffc1c3..cca3913bd944 100755
> ---- a/copy-firmware.sh
> -+++ b/copy-firmware.sh
> -@@ -69,11 +69,6 @@ if [ -z "$destdir" ]; then
> - exit 1
> - fi
> -
> --if ! which rdfind 2>/dev/null >/dev/null; then
> -- echo "ERROR: rdfind is not installed"
> -- exit 1
> --fi
> --
> - # shellcheck disable=SC2162 # file/folder name can include escaped symbols
> - grep -E '^(RawFile|File):' WHENCE | sed -E -e 's/^(RawFile|File): */\1 /;s/"//g' | while read k f; do
> - test -f "$f" || continue
> diff --git a/patches/linux-firmware-20231111/series b/patches/linux-firmware-20231111/series
> deleted file mode 100644
> index 587287c2c..000000000
> --- a/patches/linux-firmware-20231111/series
> +++ /dev/null
> @@ -1,4 +0,0 @@
> -# generated by git-ptx-patches
> -#tag:base --start-number 1
> -0001-copy-firmware.sh-Don-t-depend-on-exotic-binaries-tha.patch
> -# fb22468b2b68b60dc709a9c4ae5915e4 - git-ptx-patches magic
> diff --git a/rules/linux-firmware.make b/rules/linux-firmware.make
> index 1671677e1..0ab730d3f 100644
> --- a/rules/linux-firmware.make
> +++ b/rules/linux-firmware.make
> @@ -14,8 +14,8 @@ PACKAGES-$(PTXCONF_LINUX_FIRMWARE) += linux-firmware
> #
> # Paths and names
> #
> -LINUX_FIRMWARE_VERSION := 20231111
> -LINUX_FIRMWARE_MD5 := 4e1b62642d8882781d66847133d2f0f0
> +LINUX_FIRMWARE_VERSION := 20231211
> +LINUX_FIRMWARE_MD5 := 939d5a5933c9fc871a17624930f7b54b
That's not the md5 I'm seeing here.
Michael
> LINUX_FIRMWARE := linux-firmware-$(LINUX_FIRMWARE_VERSION)
> LINUX_FIRMWARE_SUFFIX := tar.gz
> LINUX_FIRMWARE_URL := $(call ptx/mirror, KERNEL, kernel/firmware/$(LINUX_FIRMWARE).$(LINUX_FIRMWARE_SUFFIX))
> @@ -59,12 +59,14 @@ LINUX_FIRMWARE_LICENSE_FILES := \
> file://LICENCE.xc5000;md5=1e170c13175323c32c7f4d0998d53f66 \
> file://LICENCE.open-ath9k-htc-firmware;md5=1b33c9f4d17bc4d457bdb23727046837 \
> file://LICENCE.nvidia;md5=4428a922ed3ba2ceec95f076a488ce07 \
> + file://LICENSE.powervr;md5=83045ed2a2cda15b4eaff682c98c9533 \
> file://LICENCE.e100;md5=ec0f84136766df159a3ae6d02acdf5a8 \
> file://LICENCE.ralink_a_mediatek_company_firmware;md5=728f1a85fd53fd67fa8d7afb080bc435 \
> file://LICENCE.ti-keystone;md5=3a86335d32864b0bef996bee26cc0f2c \
> file://LICENSE.amd-sev;md5=e750538791a8be0b7249c579edefb035 \
> file://LICENSE.amdgpu;md5=a2589a05ea5b6bd2b7f4f623c7e7a649 \
> file://LICENSE.nxp;md5=cca321ca1524d6a1e4fed87486cd82dc \
> + file://LICENSE.airoha;md5=fa3dedb960e2673aea51aa509f7b537d \
> file://LICENCE.agere;md5=af0133de6b4a9b2522defd5f188afd31 \
> file://LICENCE.siano;md5=4556c1bf830067f12ca151ad953ec2a5 \
> file://LICENCE.broadcom_bcm43xx;md5=3160c14df7228891b868060e1951dfbc \
> @@ -112,6 +114,13 @@ endif
>
> LINUX_FIRMWARE_SELECTED_FIRMWARES = $(call remove_quotes, $(PTXCONF_LINUX_FIRMWARE_SELECTED_FIRMWARES))
>
> +# ----------------------------------------------------------------------------
> +# Prepare
> +# ----------------------------------------------------------------------------
> +
> +LINUX_FIRMWARE_INSTALL_OPT := \
> + install-nodedup
> +
> # ----------------------------------------------------------------------------
> # Compile
> # ----------------------------------------------------------------------------
> --
> 2.34.1
>
>
>
--
Pengutronix e.K. | |
Steuerwalder Str. 21 | http://www.pengutronix.de/ |
31137 Hildesheim, Germany | Phone: +49-5121-206917-0 |
Amtsgericht Hildesheim, HRA 2686 | Fax: +49-5121-206917-5555 |
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2024-01-10 17:27 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2023-12-12 19:52 [ptxdist] [PATCH] linux-firmware: Version bump. 20231111 -> 20231211 Christian Melki
2024-01-10 17:26 ` Michael Olbrich
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox